> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List knowledge base entries for a specific source

> Get all knowledge base entries associated with a specific data source.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ get /api/v1/knowledge-base/source/{source_id}/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/knowledge-base/source/{source_id}/:
    get:
      tags:
        - knowledge-base
      summary: List knowledge base entries for a specific source
      description: Get all knowledge base entries associated with a specific data source.
      operationId: knowledge_base_source_retrieve
      parameters:
        - in: path
          name: source_id
          schema:
            type: integer
          description: ID of the source
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeBase'
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    KnowledgeBase:
      type: object
      description: Serializer for KnowledgeBase entries.
      properties:
        id:
          type: integer
          readOnly: true
        content:
          type: string
        connection_id:
          type: integer
          description: Connection ID this knowledge base entry applies to
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified:
          type: string
          format: date-time
          readOnly: true
      required:
        - connection_id
        - content
        - created_at
        - id
        - last_modified
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````